# Dependency directories
**/node_modules/
**/target/

# Build outputs
**/dist/
**/.tmp/

# System files
.DS_Store
Thumbs.db

# Credentials & environment files
**/firebasecred
**/.env
**/.env.local
**/.env.*.local

# IDE files
**/.vscode/
**/.idea/
**/*.iml
**/*.suo
**/*.ntvs*
**/*.njsproj
**/*.sln
**/*.sw?
